/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.nlpack.generator.message;

/**
 * blancoNLpackGenerator が内部的に利用するメッセージ。
 */
public class BlancoNLpackGeneratorMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoNLpackGeneratorMessageResourceBundle fBundle = new BlancoNLpackGeneratorMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBI001]の文字列を取得します。
     *
     * No.2:
     * 文字列[sourcedirとして指定されたディレクトリ[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebi001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBI001] " + fBundle.getMbebi001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBI003]の文字列を取得します。
     *
     * No.4:
     * 文字列[与えられたファイル名[{0}]は [.jar]で終わっていません。[.jar]で終わるファイル名を与えてください。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebi003(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBI003] " + fBundle.getMbebi003(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBI004]の文字列を取得します。
     *
     * No.5:
     * 文字列[結果ログファイル・サマリ({0})の作成に失敗しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbebi004(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi004]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi004]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBI004] " + fBundle.getMbebi004(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBI005]の文字列を取得します。
     *
     * No.6:
     * 文字列[結果ログファイル・詳細({0})の作成に失敗しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbebi005(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi005]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi005]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBI005] " + fBundle.getMbebi005(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBC001]の文字列を取得します。
     *
     * No.9:
     * 文字列[CSVファイル書き出しの際に例外が発生しました。:{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebc001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBC001] " + fBundle.getMbebc001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBC002]の文字列を取得します。
     *
     * No.10:
     * 文字列[プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(入力に nullが与えられようとしました。)]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbebc002(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc002]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc002]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBC002] " + fBundle.getMbebc002(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBC003]の文字列を取得します。
     *
     * No.11:
     * 文字列[プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(出力に nullが与えられようとしました。)]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbebc003(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc003]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBC003] " + fBundle.getMbebc003(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBP001]の文字列を取得します。
     *
     * No.14:
     * 文字列[Pleiades辞書の読み込み処理に失敗しました。(Pleiadesクラスのロードに失敗した場合や 関連するクラスのロードに失敗、あるいは confディレクトリの読み込みに失敗したなどの現象が想定されます。): {0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebp001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebp001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBP001] " + fBundle.getMbebp001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMO01]の文字列を取得します。
     *
     * No.18:
     * 文字列[除外辞書[{0}]のロードに失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmo01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmo01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMO01] " + fBundle.getMbebmo01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMO02]の文字列を取得します。
     *
     * No.19:
     * 文字列[除外辞書読み込み処理において CSV例外が発生しました。: {0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmo02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmo02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMO02] " + fBundle.getMbebmo02(arg0);
    }
}
